# Class DistanceEvents

The `DistanceEvents` static class contains the string definitions of all events related to distance list.

See Events.

## Index

### Properties

- onPositionNotResolved
- onPositionResolved
- onResolvingPosition

## Properties

### Static onPositionNotResolved

onPositionNotResolved: string

- Defined in events/DistanceEvents.ts :79

Triggered when the `DistanceResources` component fails to resolve the position.

Note:

> You should bind a handler to this event if you want to display an error message to the end user, or hide components that cannot be used.

type

  {string} The string value is `onPositionNotResolved`.

### Static onPositionResolved

onPositionResolved: string

- Defined in events/DistanceEvents.ts :55

Triggered when the `DistanceResources` component successfully resolves the position.

All `onPositionResolved` event handlers receive a `PositionResolvedEventArgs` object as an argument.

type

  {string} The string value is `onPositionResolved`.

### Static onResolvingPosition

onResolvingPosition: string

- Defined in events/DistanceEvents.ts :68

Triggered when the `DistanceResources` component tries to resolve the position.

All `onResolvingPosition` event handlers receive a `ResolvingPositionEventArgs` object as an argument.

Note:

> You should bind a handler to this event if you want to register one or several new position providers.

type

  {string} The string value is `onResolvingPosition`.

### Hierarchy

- DistanceEvents